﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3052C: (1 year) VER VISA /9500+2Hd
DATE:                  2010-06-03 12:46:17
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       225
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        TDS 3052C
# 
#  Source(s):
#        TDS3000C Series Digital Phosphor Oscilloscopes,
#        Specifications and Performance Verification
#        Technical Reference, 071-2508-01
# 
# Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub IEEE-488.2 Identification Query VISA
#        Sub Tek TDS3000C Remote Interface Connection
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS3000C Check Firmware Version
#        Sub Datron 9500 Configuration Query IEEE
#        Sub Tek TDS3000C Set Bandwidth & Number of Channels
#        Sub Tek TDS3000C Sig Path Comp Cal VISA
#        Sub Tek TDS3000C Channel Select VISA
#        Sub Tek TDS3000C Self-Test VISA
#        Sub Tek TDS3000C (1 yr) DCV VISA /9500
#        Sub Tek TDS3000C (1 yr) Bandwidth VISA /9500/600
#        Sub Tek TDS3000C (1 yr) Full BW Trig VISA /9500/600
#        Sub Tek TDS3000C (1 yr) 50 MHz Trig VISA /9500/600
#        Sub Tek TDS3000C (1 yr) Sample Rate VISA /9500
#        Sub Tek TDS3000C Trigger Chk and Level Adj VISA
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        TDS3GV GPIB/RS-232/VGA Communication Module
#        50 Ohm feed through teminator, one to four sets
#               (if one to four sets 9560 is configured)
#        Adapter SMA(f)-BNC(m), one to four sets
#               (if one to four sets 9560 is configured)
#
# The procedure was tested using:
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1Vpp           LS    S  L
  1.004  M9500                       CH2
  1.005  9500         500MH                        1Vpp           LS    S
  1.006  ENDIF

  1.007  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.008  ASK+           K

  1.009  IF           NOT(VERSIONCHECK("7.20x"))
  1.010  END
  1.011  ENDIF

  1.012  CALL         Sub Display Copyright
  1.013  CALL         Sub High Voltage Safety Warning
  1.014  CALL         Sub Select Failed Test Mode
  1.015  CALL         Sub Select Verification Method (No NTHROW)

  1.016  HEAD         PRELIMINARY INSTRUCTIONS
  1.017  TARGET
  1.018  DISP         Ensure a minimum UUT warm-up time of at least
  1.018  DISP         20 minutes has been allowed to elapse, prior
  1.018  DISP         to beginning verification.

  1.019  MATH         @VisaLAN = 1
  1.020  CALL         Sub Tek TDS3000C Remote Interface Connection
  1.021  JMPL         END                              @Abort

  1.022  VISA         *RST

  1.023  HEAD         UUT IDENTIFICATION
  1.024  CALL         Sub IEEE-488.2 Identification Query VISA

  1.025  MATH         @UUT_Manufacturer = "Tektronix"
  1.026  MATH         @UUT_Model        = "TDS 3052C"
  1.027  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.028  JMPL         END                           @Abort

  1.029  CALL         Sub Tek TDS3000C Check Firmware Version
  1.030  JMPL         END                           @Abort

  1.031  CALL         Sub Datron 9500 Configuration Query IEEE

  1.032  HEAD         EQUIPMENT REQUIREMENTS
  1.033  OPBR         -z Do you want to REVIEW the list of additional
  1.033  OPBR         equipment and/or accessories required?

  1.034  IF           MEM1
  1.035  MATH         Con = @HeadTypeCh1 == "9560" || @HeadTypeCh2 == "9560"

  1.036  IF           NOT(Con)
  1.037  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36

  1.038  ELSE
  1.039  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
  1.039  DISP         - 50 Ohm feed through teminator, one to four sets
  1.039  DISP         [32]        (if one to four sets 9560 is configured)
  1.039  DISP         - Adapter SMA(f)-BNC(m), one to four sets
  1.039  DISP         [32]        (if one to four sets 9560 is configured)
  1.040  ENDIF

  1.041  ENDIF

  1.042  CALL         Sub Tek TDS3000C Set Bandwidth & Number of Channels
  1.043  CALL         Sub Tek TDS3000C Sig Path Comp Cal VISA
  1.044  JMPL         END                           @Abort

  1.045  CALL         Sub Tek TDS3000C Self-Test VISA
  1.046  JMPL         END                           @Abort

  1.047  IF           @HeadTypeCh1 == "9560"
  1.048  MATH         Ch1Adapter = " via SMA(f)-BNC(m) adapter"
  1.049  ELSE
  1.050  MATH         Ch1Adapter = ""
  1.051  ENDIF

  1.052  IF           @HeadTypeCh2 == "9560"
  1.053  MATH         Ch2Adapter = " via SMA(f)-BNC(m) adapter"
  1.054  ELSE
  1.055  MATH         Ch2Adapter = ""
  1.056  ENDIF

  1.057  DISP         Connect the 9500 to the UUT as follows:
  1.057  DISP
  1.057  DISP         [32] CH 1 Active Head to UUT CH 1[V Ch1Adapter].
  1.057  DISP         [32] CH 2 Active Head to UUT CH 2[V Ch2Adapter].

  1.058  MATH         @Chan = 1
  1.059  M9500                       CH1
  1.060  CALL         Sub Tek TDS3000C (1 yr) DCV VISA /9500

  1.061  MATH         @Chan = 2
  1.062  M9500                       CH2
  1.063  CALL         Sub Tek TDS3000C (1 yr) DCV VISA /9500

  1.064  MATH         @Chan = 1
  1.065  M9500                       CH1
  1.066  CALL         Sub Tek TDS3000C (1 yr) Bandwidth VISA /9500/600

  1.067  MATH         @Chan = 2
  1.068  M9500                       CH2
  1.069  CALL         Sub Tek TDS3000C (1 yr) Bandwidth VISA /9500/600

  1.070  MATH         @Chan = 1
  1.071  M9500                       CH1
  1.072  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig VISA /9500/600

  1.073  MATH         @Chan = 2
  1.074  M9500                       CH2
  1.075  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig VISA /9500/600

  1.076  MATH         @Chan = 1
  1.077  M9500                       CH1
  1.078  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig VISA /9500/600

  1.079  MATH         @Chan = 2
  1.080  M9500                       CH2
  1.081  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig VISA /9500/600

  1.082  MATH         @Chan = 1
  1.083  M9500                       CH1
  1.084  CALL         Sub Tek TDS3000C (1 yr) Sample Rate VISA /9500

  1.085  LABEL        END
  1.086  HEAD         -2

  1.087  IF           @Abort
  1.088  HEAD         V E R I F I C A T I O N   A B O R T E D
  1.089  ELSE
  1.090  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.091  ENDIF

  1.092  END


